import lume from "lume/mod.ts";
import jsx from "lume/plugins/jsx_preact.ts";
import mdx from "lume/plugins/mdx.ts";
import tailwindcss from "lume/plugins/tailwindcss.ts";
import code_highlight from "lume/plugins/code_highlight.ts";
import postcss from "lume/plugins/postcss.ts";

const site = lume({
  src: "./src",
});

site.use(jsx());
site.use(mdx());
site.use(tailwindcss({
  extensions: [".html", ".jsx", ".tsx", ".mdx", ".md"],
  options: {
    theme: {
      fontFamily: {
        sans: ["Roboto Mono", "monospace"],
      },
      extend: {
        colors: {
          body: "#313E5F",
          text: "#E6E7E8",
        },
      },
    },
  },
}));
site.use(code_highlight());
site.use(postcss());
site.copy("img");

export default site;
